Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create attribute relationship

Creates relationships between an attribute and one or more items (products, tags, categories, etc.). Publishes a relationship creation event.

PUT/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}/relationship
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

attribute_template_keystringrequired

Key of the attribute template

attribute_keystringrequired

Key of the attribute

Request body
requiredapplication/json

Items IDs you want to create a relationship with

itemsstring[]
Responses
200

Attribute relationship created

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/attributes/string/string/relationship' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "items": [
    "string"
  ]
}'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}